package com.sumbytes.helloblog.auth.service;


import com.sumbytes.common.base.domain.Result;
import com.sumbytes.common.base.service.BaseService;
import com.sumbytes.helloblog.auth.domain.po.AuthUserSocial;
import com.sumbytes.helloblog.auth.domain.vo.AuthUserSocialVO;

/**
 * 用户表社交信息表:业务接口类
 * @author nosum
 */
public interface AuthUserSocialService extends BaseService<AuthUserSocial> {

    Result saveAuthUserSocial(AuthUserSocialVO authUserSocialVO);

    Result editAuthUserSocial(AuthUserSocialVO authUserSocialVO);

    Result getSocial(Long id);

    Result getSocialList(AuthUserSocialVO authUserSocialVO);

    Result getSocialInfo();

    Result deleteSocial(Long id);
}