package com.sumbytes.helloblog.auth.service;

import com.sumbytes.common.base.domain.Result;
import com.sumbytes.helloblog.auth.domain.vo.AuthUserVO;

/**
 * @description:
 * @author: sumbytes
 * @date: 2019/09/04 08:58
 */
public interface OauthService {

    /**
     * 获取授权链接
     */
    Result oauthLoginByGithub();

    /**
     * 保存用户信息
     */
    Result saveUserByGithub(AuthUserVO authUserVO);

    /**
     * 保存管理员
     */
    Result login(AuthUserVO authUserVO);


    /**
     * 保存管理员
     */
    Result updatePassword(AuthUserVO authUserVO);

    /**
     * gitHub 登录回调接口
     */
    String callback(String code, String state);

    /**
     * 管理员注册
     */
    Result registerAdmin(AuthUserVO authUserVO);
}
