package com.sumbytes.helloblog.config.domain.vo;

import com.sumbytes.common.base.domain.vo.BaseVO;
import com.sumbytes.common.validator.annotion.NotBlank;
import com.sumbytes.helloblog.config.domain.validator.UpdateConfig;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author sumbytes
 * @since 2019-08-28
 */
@Data
@Accessors(chain = true)
public class ConfigVO extends BaseVO<ConfigVO> {
    private Integer type;

    @NotBlank(groups = {UpdateConfig.class})
    private String configKey;

    @NotBlank(groups = {UpdateConfig.class})
    private String configValue;

}
